
require 'httparty'

# API: https://codeclimate.com/docs/api

class CodeClimate
  include HTTParty
  format :json
  base_uri 'https://codeclimate.com/api'
  
  def initialize(api_token)
    self.class.default_params api_token: api_token
  end

  # Expose some HTTParty class things
  def get(*args)
    self.class.get(*args)
  end
      
  def repo_list
    get('/repos')
  end

  def repo_id(repo_name)
    repo_list.find { |repo| repo["url"].include?(repo_name) }["id"] 
  end

  def repo_details(repo_id)
    get("/repos/#{repo_id}")
  end

  def repo_details_by_name(repo_name)
    get("/repos/#{repo_id(repo_name)}")
  end
end
