require "jira_reporting/version"
require "jira_reporting/connection"
require "jira_reporting/sla_report"
require "jira_reporting/sla_tracker"
require "jira_reporting/triage_tracker"
require 'jira_issue'
require 'jiralicious'
require 'business_time'
require 'holidays'

PROJECT_ROOT = "#{File.dirname(__FILE__)}/../"

module JiraReporting
  def self.connect!(user, pass)
    Connection.instance.connect!(user, pass)
  end
end

BusinessTime::Config.beginning_of_workday = "8:00 am"
BusinessTime::Config.end_of_workday = "6:00 pm"
# init business time
Holidays.load_custom(File.join(PROJECT_ROOT,'optoro_holidays.yaml'))
Holidays.between(Time.now, 2.years.from_now, :optorolandia, :observed).map do |holiday|
  BusinessTime::Config.holidays << holiday[:date]
  # Implement long weekends if they apply to the region, eg:
  # BusinessTime::Config.holidays << holiday[:date].next_week if !holiday[:date].weekday?
end
